Frage von Corleonefactory, 51

App verbieten zu installieren bei zu geringer Version?

Wie kann ich es verhindern, dass mein App auf Systeme installiert werden könnte die eine geringere Version wie KitKat 4.4.2 haben. Kann ich diese Einstellung möglicherweise im Appstore vornehmen. Wenn dies nicht möglich ist wie kann ich das programmtechnisch lösen?

Antwort
von adenosi, 38

Zu geringer Version von was?

Von welchem Betriebssystem gehst du aus? Bei Android kannst du keine ältere Version einer App installieren wenn eine aktuellere gerade Installiert ist.

Kommentar von Corleonefactory ,

sry ich hatte zu früh auf OK geklickt. Hier meine ausführliche Frage:. Ich habe ein App entwickelt, welches Kitkat 4.4.1 benötig. Per APK konnte ich es auf älteren Versionen installieren, aber es hat gewisse Styles nicht richtig übernommen. Ich will also eine Art Sperre, dass man das App nicht auf älteren System installieren kann. Kann man dies gegebenfalls erst im AppStore oder muss man dass programmtechnisch umsetzten?
Danke für deine Bemühungen

Antwort
von adenosi, 27

versuche im manifest

<uses-sdk android:minSdkVersion="19"/>

falls du es noch nicht drin hast.

Kommentar von Corleonefactory ,

Ok die 19 sagt ja lediglich aus, dass es eine Version zwischen 4.4 und 4.4.4 ist, könnte man das noch genauer angeben?

Kommentar von adenosi ,

4.4.1 - 4.4.4 haben leider alle die gleiche Api Nr., du kannst die Installation zwischen denen nicht verhindern.

Kommentar von Corleonefactory ,

Ok danke vielmals für deine rasche und gute Antwort

Kommentar von Corleonefactory ,

Hab es gestest hat nicht funktioniert, was nun?

Kommentar von adenosi ,

Bei mir kann die App nicht installiert werden wenn die Firmware Version unter der min sdk Version ist.

Hast du die App deinstalliert und nochmal komplett neu installiert?

Wenn es dann immer noch nicht geht, also wenn die App trotzdem installiert wird, installiere die App über die apk Datei anstatt über usb - Debugger.

Danach wüsste ich nicht weiter.

Keine passende Antwort gefunden?

Fragen Sie die Community